//  -*- C++  -*-
//
//======================================================================
//  File:          print.c
//  Author:        Thomas G. Dietterich
//  Description:   Reads in a probability table and prints it (nicely
//                 formatted) on the output.
//                 
//  Copyright (c) 1995 by Thomas G. Dietterich.  All Rights Reserved.
//       may be reproduced by any non-commercial purpose.
//======================================================================
#include "ptable.h"
#include <iostream.h>
#include <fstream.h>

int main(int argc, char * argv[])
{
  probabilityTable table1, table2;

  {
    ifstream str(argv[1]);
    str >> table1;
  }

  table1.print(cout);
  return 0;
}
